# Copyright 2022 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARN NEON+FP16ARITH
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u32
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u32_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u32_acc4
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u40
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u40_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u40_acc5
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u48
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u48_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u48_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u64
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u64_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u64_acc4
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u72
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u72_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u80
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u80_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u80_acc5
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u96
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u96_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u96_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__neonfp16arith_rr2_p2_u96_acc6

# x86 AVX2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u16
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u16_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u32
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u32_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u32_acc4
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u40
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u40_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u40_acc5
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u48
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u48_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u48_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u64
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u64_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u64_acc4
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u72
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u72_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u80
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u80_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u80_acc5
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u96
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u96_acc2
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u96_acc3
- name: xnn_f16_raddstoreexpminusmax_ukernel__avx2_rr1_p2_u96_acc6
